package DB;

import java.util.Hashtable;


// A database is a collection of tables


public class Database implements DatabaseI {
    private Hashtable tableSet;
    private String    name;

    public 
    Database (String aName)
    {
	tableSet = new Hashtable ();
	name     = aName;
    }

    static public DatabaseI newDatabase(String aName)
    {
	Database db = new Database(aName);
	return db;
    }

    public void
    addTable (TableI table)
    {
        tableSet.put (table.getName(), table);
    }

    public void
    removeTable (TableI table)
    {
        tableSet.remove (table.getName());
    }

    public TableI
    addNewTable (String name)
    {
	TableI table;

	table = new Table (name);
	addTable (table);

	return table;
    }

    public TableI
    lookupTable (String name)
    {
	return (TableI) tableSet.get (name);
    }

    public String
    getName ()
    {
	return name;
    }
}
