package DB;

// An index is a binary-tree ordered collection of Nodes that supports two 
// methods: insert and print.  It is used to print an ordered list of cells.

public class Index implements IndexI{

    Node root;

    public Index ()
    {
	root = null;
    }

    static public IndexI newIndex()
    {
	Index i = new Index();
	return i;
    }

    public void
    insert (String key, CellI cell)
    {
	if (root==null)
	    root = new Node (key, cell);
	else
	    root.insert (key, cell);
    }

    public void
    printInOrder ()
    {
	if (root!=null)
	    root.printInOrder ();
    }
}
