package DB;

public class NodeCP extends RPC.ClientProxy implements NodeI
{
    private Object retObj;
    static public String outputHdr = "##   DB.Cell: ";
    static public IPC.ComHandle remoteCH;
    int thisClassID = RPC.ClassID.Cell;

    /*public NodeCP(String key, CellI cell)
    {
	try{
	    retObj = remoteInvoke(this, thisClassID, NodeRPC.CLASS_VERSION,
				  "newNode", NodeRPC.newNode_version, 
				  new String[]{"java.lang.String, DB.Cell"}, 
				  new Object[] {key, cell});
	    cap = (NodeCP)retObj.getCap();
	    Client.capRegistry.put(cap, this);
	}catch(Exception e){
	    Debug("Exception in Node constructor: ", e);
	}
	}*/

    public NodeCP(RPC.Capability cap)
    {
	super(cap);
    }

    public void insert(String key, CellI cell)
    {
	try{
	    retObj = remoteInvoke(this, thisClassID, NodeRPC.CLASS_VERSION,
				  "insert", NodeRPC.insert_version, 
				  new String[]{"java.lang.String, DB.Cell"}, 
				  new Object[] {key, cell});
	}catch(Exception e){
	    Debug("Exception in insert: ", e);
	}
    }

    public void printInOrder()
    {
	try{
	    retObj = remoteInvoke(this, thisClassID, NodeRPC.CLASS_VERSION,
				  "printInOrderString", NodeRPC.printInOrder_version, 
				  new String[]{}, new Object[] {});
	    System.out.println((String)retObj);
	}catch(Exception e){
	    Debug("Exception in printInOrder: ", e);
	}
    }

    private void Debug(String msg, Exception De){
	System.out.println(outputHdr + msg + De.getMessage());
    }
}
