package DB;

//
// You might place information in this class that described RPC information 
// for the class such as the ClassID, ClassVersionNum, MethodID, MethodNum etc.
// Then use this in BOTH the client and server proxy classes.
//

public interface TableRPC
{
    // class ID and name and version number
    String CLASS_NAME = new String("DB.Table");
    int CLASS_VERSION = 1;

    // method IDs and version numbers
    int addCell = 1;
    int removeCell = 2;
    int addNewCell = 3;
    int lookupCell = 4;
    int getFirstCell = 5;
    int getName = 6;
    int newTable = 7;

    int addCell_version = 1;
    int removeCell_version = 1;
    int addNewCell_version = 1;
    int lookupCell_version = 1;
    int getFirstCell_version = 1;
    int getName_version = 1;
    int newTable_version = 1;
}
