package RPC;

// This is the complete implementation of the ResponseMessage class that
// I used in my solution.  Change it if you like, but I don't think you
// will need to.

public class ResponseMessage extends Message {

    final static int hdrOffResponseType = 0;
    final static int hdrOffClassId      = 4 + hdrOffResponseType;
    final static int hdrOffClassVer     = 4 + hdrOffClassId;
    final static int hdrSize            = 4 + hdrOffClassVer;
     

    protected int
    getHeaderSize ()
    {
	return super.getHeaderSize() + hdrSize;
    }

    public int
    getResponseType ()
	throws IPC.MarshalException
    {
    	return getIntAt (super.getHeaderSize() + hdrOffResponseType);
    }
    
    public void
    setResponseType (int num)
    {
    	setIntAt (super.getHeaderSize() + hdrOffResponseType, num);
    }

    public int getClassId()
    throws IPC.MarshalException
    {
	return getIntAt(super.getHeaderSize() + hdrOffClassId);
    }
    
    public void setClassId(int num)
    {
	 setIntAt(super.getHeaderSize() + hdrOffClassId, num);
    }

    public void setClassVer(int num)
    {
	setIntAt(super.getHeaderSize() + hdrOffClassVer, num);
    }

    public int getClassVer()
    throws IPC.MarshalException
    {
	return getIntAt(super.getHeaderSize() + hdrOffClassVer);
    }

}
