package DB;

//
// You might place information in this class that described RPC information 
// for the class such as the ClassID, ClassVersionNum, MethodID, MethodNum etc.
// Then use this in BOTH the client and server proxy classes.
//

public interface CellRPC
{
    // class ID and name and version number
    String CLASS_NAME = new String("DB.Cell");
    int CLASS_VERSION = 1;

    // method IDs and version numbers
    int newCell = 1;
    int linkBefore = 2;
    int unlink = 3;
    int setNext = 4;
    int setPrev = 5;
    int getNext = 6;
    int getPrev = 7;
    int getName = 8;
    int getValue = 9;
    
    int newCell_version = 1;
    int linkBefore_version = 1;
    int unlink_version = 1;
    int setNext_version = 1;
    int setPrev_version = 1;
    int getNext_version = 1;
    int getPrev_version = 1;
    int getName_version = 1;
    int getValue_version = 1;

}
