package DB;

public class IndexCP extends RPC.ClientProxy implements IndexI
{
    private Object retObj;
    static public String outputHdr = "##   DB.Index: ";
    static public IPC.ComHandle remoteCH;
    int thisClassID = RPC.ClassID.Index;

    /*public IndexCP ()
    {
	try{
	    retObj = remoteInvoke(this, thisClassID, IndexRPC.CLASS_VERSION,
				  "newIndex", CellRPC.newIndex_version, 
				  new String[]{}, new Object[]{});
	    cap = (IndexCP)retObj.getCap();
	    Client.capRegistry.put(cap, this);
	} catch(Exception e) {
	    Debug("Exception in Index constructor: ", e);
	    return null;
	}   
	}*/

    public IndexCP(RPC.Capability cap)
    {
	super(cap);
    }

    public void
    insert (String key, CellI cell)
    {
	try{
	    retObj = remoteInvoke(this, thisClassID, IndexRPC.CLASS_VERSION,
				  "insert", IndexRPC.insert_version, 
				  new String[]{"java.lang.String", "DB.Cell"}, 
				  new Object[]{key, cell});
	} catch(Exception e) {
	    Debug("Exception in insert: ", e);
	}   
    }

    public void
    printInOrder ()
    {
	try{
	    retObj = remoteInvoke(this, thisClassID, IndexRPC.CLASS_VERSION,
				  "printInOrder", IndexRPC.printInOrder_version, 
				  new String[]{}, new Object[]{});
	} catch(Exception e) {
	    Debug("Exception in printInOrder: ", e);
	}   
    }

    private void Debug(String msg, Exception De){
	System.out.println(outputHdr + msg + De.getMessage());
    }
}
