package IPC.Test;

import IPC.Message;
import IPC.MarshalException;
import IPC.MessageFullException;
import IPC.AssertException;

public class ServerRequest extends IPC.ServerRequest {

    protected
    ServerRequest (Server server, Message reqMsg)
    {
	super (server, reqMsg);
    }

    protected IPC.Message
    handleRequest ()
    {
	Message respMsg;
	int num;

	try {
	    num = reqMsg.getArgInt ();
	    num = num * num;
	    respMsg = new Message ();
	    respMsg.addArgInt (num);
	    return respMsg;
	} catch (MarshalException me) {
	    throw new AssertException ("ServerRequest marshal exception");
	} catch (MessageFullException mfe) {
	    throw new AssertException ("ServerRequest response message full");
	}
    }
}
