package RPC;

import java.util.Hashtable;
import java.io.IOException;
// This class extends IPC.Client to do any unique client-side stuff for 
// sending/receiving RPC messages.  You may not need to do much here 
// for the non-bonus part of the assignment.  At least, you might want to 
// store a reference to the clientCap registry.  Its up to you, however.


public class Client extends IPC.Client {
    
    static public  Hashtable capRegistry;
    static public Client client;

    static{
	capRegistry = new Hashtable();
    }

    public
    Client ()
    throws IOException
    {
	
	    super();
	    client = this;
    }
	
    // Called by remoteInvoke to get a new response message
    protected IPC.Message getNewResponseMessage()
    {
	return new ResponseMessage();
    }
}
